function init(hero) {
    hero.setName("Batman Beyond");
    hero.setVersion("Terry Mcginnis");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
 
    hero.addPowers("cwheropack:advanced_batsuit");
    hero.addAttribute("FALL_RESISTANCE", 6.5, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 7.9, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("INVISIBILITY", "key.invisibility", 2);
    hero.addKeyBind("CAMOUFLAGE_MOD", "Toggle Camouflage", 3);
    hero.addKeyBind("SHIELD", "key.wingShield", 4);
    
    hero.setHasPermission(hasPermission);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:gliding" || !entity.getData("fiskheroes:shield");
}


function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "INVISIBILITY":
        return entity.getData("fiskheroes:dyn/steeled");
    default:
        return true;
    }
}
function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}